# Upload media

## Get url to upload org avatar

> Get a URL and the required form data to upload the org avatar to.

```json
{"openapi":"3.0.3","info":{"title":"Accounts","version":"v1"},"tags":[{"description":"Organizations are the top-level object for every customer. They contain the entities to work with the Nest services.","name":"organization"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"PreSignedUpload":{"type":"object","title":"PreSignedUploadToken","description":"Url and Form data needed to upload an image","additionalProperties":false,"properties":{"url":{"type":"string","description":"URL to post the image to","maxLength":5000},"formData":{"type":"object","additionalProperties":{"type":"string"}},"expectedFields":{"type":"array","items":{"type":"string"}}},"required":["url","formData"]},"Error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Unique identifier for the error that occurred"},"message":{"type":"string","description":"Description of the error that occurred, aimed at API consumers"}}}},"responses":{"unauthorized":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"unauthorized request"},"notFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Resource not found"}}},"paths":{"/organizations/{organizationId}/presigned-upload":{"get":{"description":"Get a URL and the required form data to upload the org avatar to.","operationId":"getOrgLogoUploadToken","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreSignedUpload"}}},"description":"OK"},"401":{"$ref":"#/components/responses/unauthorized"},"404":{"$ref":"#/components/responses/notFound"}},"summary":"Get url to upload org avatar","tags":["organization"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/accounts-api/api-reference/organizations/upload-media.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
